## Class Rechteck

    java.lang.Object
      Rechteck

    public class Rechteck

extends java.lang.Object

Diese Klasse ist zur Erzeugung eines Rechtecks

Version:
  lauffähige erste Version
Author:
  Dr.-Ing. U. Kiesmüller

Constructor Summary
`Rechteck(int xS, int yS, int breiteStart, int hoeheStart, int farbnrStart)` Konstruktor für ein Rechteck mit wählbarer linker oberer Ecke, wählbarer Breite und Höhe sowie wählbarer Farbe

Method Summary
`int` | `gibBreite()` Methode zur Abfrage der Rechtecksbreite
`int` | `gibFarbnr()` Methode zur Abfrage der Rechtecksfarbe
`int` | `gibHoehe()` Methode zur Abfrage der Rechteckshöhe
`int` | `gibXStart()` Methode zur Abfrage der x-Koordinate der linken oberen Rechtecksecke
`int` | `gibYStart()` Methode zur Abfrage der y-Koordinate der linken oberen Rechtecksecke

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rechteck

    public Rechteck(int xS,
                    int yS,
                    int breiteStart,
                    int hoeheStart,
                    int farbnrStart)

  Konstruktor für ein Rechteck mit wählbarer linker oberer Ecke, wählbarer Breite und Höhe sowie wählbarer Farbe

  Parameters:
    `xS` - X-Koordinate der linken oberen Ecke des Rechtecks
    `yS` - Y-Koordinate der linken oberen Ecke des Rechtecks
    `breiteStart` - Breite des Rechtecks
    `hoeheStart` - Höhe des Rechtecks
    `farbnrStart` - Farbnummer der Rechtecksfarbe

Method Detail

### gibBreite

    public int gibBreite()

  Methode zur Abfrage der Rechtecksbreite

  Returns:
    breite Breite des Rechtecks

### gibFarbnr

    public int gibFarbnr()

  Methode zur Abfrage der Rechtecksfarbe

  Returns:
    farbnr Farbnummer der Rechtecksfarbe

### gibHoehe

    public int gibHoehe()

  Methode zur Abfrage der Rechteckshöhe

  Returns:
    hoehe Höhe des Rechtecks

### gibXStart

    public int gibXStart()

  Methode zur Abfrage der x-Koordinate der linken oberen Rechtecksecke

  Returns:
    xStart X-Koordinate der linken oberen Rechtecksecke

### gibYStart

    public int gibYStart()

  Methode zur Abfrage der y-Koordinate der linken oberen Rechtecksecke

  Returns:
    yStart Y-Koordinate der linken oberen Rechtecksecke